Loading...
Searching...
No Matches
lime_defines.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | lime
namespace | lime::settings
| Hold constants definition used as settings in all components of the lime library.

## Variables

constexpr size_t | lime::settings::DRChainKeySize =32
| Sending, Receiving and Root key chain use 32 bytes keys (spec 3.2).
const std::string | lime::settings::hkdf_DRChainKey_info {"DR Root Chain Key Derivation"}
| String used as info in the root key derivation.
constexpr size_t | lime::settings::DRMessageKeySize =32
| DR Message Key are composed of a 32 bytes key and 16 bytes of IV.
constexpr size_t | lime::settings::DRMessageIVSize =16
| DR Message Key are composed of a 32 bytes key and 16 bytes of IV.
constexpr size_t | lime::settings::DRrandomSeedSize =32
const std::string | lime::settings::hkdf_randomSeed_info {"DR Message Key Derivation"}
constexpr size_t | lime::settings::DRMessageAuthTagSize =16
| AEAD generates tag 16 bytes long.
constexpr int | lime::settings::DBuserVersion =0x000100
constexpr uint16_t | lime::settings::DBInactiveUserBit = 0x0100
constexpr uint16_t | lime::settings::DBCurveIdByte = 0x00FF
constexpr uint8_t | lime::settings::DBInvalidIk = 0x00
const std::string | lime::settings::X3DH_SK_info {"Lime"}
| shall be an ASCII string identifying the application (X3DH spec section 2.1)
const std::string | lime::settings::X3DH_AD_info {"X3DH Associated Data"}
| used to generate a shared AD based on Ik and deviceID